package com.songmao.analog.api.wmsyibuda.controller;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.http.MediaType;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
public class WmsYibudaController {
    private static final Logger logger = LoggerFactory.getLogger(WmsYibudaController.class);

    /**
     * 海控项目，一步达WMS库存查询接口模拟
     * @param requestParams
     * @param responseParams
     * @return
     */
    @ResponseBody
    @RequestMapping(value="/esbcenter/api/esb/", produces = MediaType.APPLICATION_XML_VALUE)
    public String list(@RequestParam(value = "requestParams", required = false) String requestParams,
                     @RequestParam(value = "responseParams", required = false) String responseParams)  {
        logger.info("---------- 一步达WMS::库存查询接口，模拟回执请求 ----------------------------------------");

        logger.info("---------- 接收请求参数：{}", requestParams);

        logger.info("---------- 接收到的回执参数：{}", responseParams);

        return responseParams;
    }

}
